> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flatpeak.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a customer

> Updates the specified customer. Parameters not included in the request will remain unchanged.



## OpenAPI

````yaml api-reference/anode/flatpeak-api-spec-anode.json PATCH /customers/{id}
openapi: 3.0.3
info:
  description: Flatpeak API
  version: 2025-09-14.anode
  title: Flatpeak API
  termsOfService: https://flatpeak.com/legal
  contact:
    name: Technical Support
    email: support@flatpeak.com
    url: https://flatpeak.com/contact
  license:
    name: Apache 2.0
    url: https://flatpeak.com/legal
servers:
  - url: https://api.flatpeak.com
    description: Location
security: []
tags:
  - name: Consumption
    description: Consumption operations
  - name: Customers
    description: Customer operations
  - name: Devices
    description: Device operations
  - name: Meters
    description: Meter readings operations
  - name: Events
    description: Events operations
  - name: Login
    description: Bearer auth token operations
  - name: Connect
    description: Connect operations
  - name: Locations
    description: Location operations
  - name: Rates
    description: Rates operations
  - name: Costs
    description: Consumption cost calculations
  - name: Schedules
    description: Consumption schedules
  - name: Tariffs
    description: Tariff operations
  - name: Slots
    description: Slots operations
externalDocs:
  description: Location documentation
  url: https://docs.flatpeak.com
paths:
  /customers/{id}:
    parameters:
      - in: path
        name: id
        description: Flatpeak `customer_id`.
        required: true
        schema:
          example: cus_a83ec6da1e0d4917b9e9abf58d60574e
          type: string
    patch:
      tags:
        - Customers
      summary: Update a customer
      description: >-
        Updates the specified customer. Parameters not included in the request
        will remain unchanged.
      operationId: update-customer
      requestBody:
        $ref: '#/components/requestBodies/CustomerUpdate'
      responses:
        '202':
          $ref: '#/components/responses/Customer'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '409':
          $ref: '#/components/responses/409'
      security:
        - bearerAuth: []
components:
  requestBodies:
    CustomerUpdate:
      content:
        application/json:
          schema:
            type: object
            x-examples:
              '':
                reference_id: ABC1234567890
                personal_details:
                  email: user@example.com
                  email_verified: true
                  phone: '440123456789'
                  phone_verified: true
                  preferred_locale: EN
                  timezone: Etc/UTC
                postal_address:
                  address_line1: '123'
                  address_line2: Infinite Drive
                  city: London
                  state: Greater London
                  post_code: SE110AA
                  country_code: GB
                geo_location:
                  latitude: '-77.52907766250239'
                  longitude: '167.1522246611749'
                terms_accepted:
                  terms_accepted: true
                  terms_accepted_time: string
                providers:
                  - prv_37ef12d765d0403e8745c29b29826d69
                locations:
                  - loc_5de9bad5d97b49a1b7382f2c0cec9799
                  - loc_b84526631dc54037940b75d3cb5971de
                devices:
                  - dev_021ff68976894b73b62ec1d71cd6bb7b
                  - dev_458dc1492183456696fa3e42ab246a1e
                  - dev_fe23b2eeec81413bb305e676a7e63558
            properties:
              reference_id:
                type: string
                description: >-
                  A reference that is meaningful to you, for example, an ID from
                  your system.
                example: CUS1234567890
      description: Update a customer
  responses:
    '403':
      description: 403 forbidden
      content:
        application/json:
          schema:
            type: object
            x-examples:
              Example:
                message: Bad credentials
            properties:
              object:
                type: string
                example: error
                x-stoplight:
                  id: gria4ysjd9zhk
                default: error
              type:
                type: string
                x-stoplight:
                  id: 7mhtfljidnqcu
                example: invalid_request
                default: invalid_request
              code:
                type: string
                x-stoplight:
                  id: sy7ljpdy5wdes
                example: access_denied
                default: access_denied
              time_created:
                type: string
                x-stoplight:
                  id: 84d5biv9dfbc9
                format: date-time
                example: '2025-01-01T00:00:00Z'
            required:
              - object
              - type
              - code
          examples: {}
    '404':
      description: 404 response
      content:
        application/json:
          schema:
            type: object
            x-examples:
              Example:
                message: Not Found
            properties:
              object:
                type: string
                example: error
                x-stoplight:
                  id: qyc690tqd4dnh
                default: error
              type:
                type: string
                x-stoplight:
                  id: 6sog2aaccgb59
                example: invalid_request
                default: invalid_request
              code:
                type: string
                x-stoplight:
                  id: 6l9jrgodwxi0c
                example: not_found
                default: not_found
              time_created:
                type: string
                x-stoplight:
                  id: 1ywndy1nsshcz
                example: '2025-01-01T00:00:00Z'
                format: date-time
          examples: {}
    '409':
      description: 409 conflict
      content:
        application/json:
          schema:
            type: object
            x-examples:
              Example:
                message: Conflict
            properties:
              object:
                type: string
                x-stoplight:
                  id: fk1kol4j7b61e
                default: error
                example: error
              type:
                type: string
                x-stoplight:
                  id: oyyg98j0zeytg
                default: conflict
                example: conflict
              code:
                type: string
                x-stoplight:
                  id: 9c88baxga1b2j
                default: duplicate_reference
                example: duplicate_reference
              message:
                type: string
                example: Reference ID already exists
                default: Reference ID already exists
          examples: {}
    Customer:
      description: ''
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Customer'
  schemas:
    Customer:
      type: object
      x-examples: {}
      title: Customer
      description: This object represents a customer of your business.
      x-tags:
        - Customers
      properties:
        id:
          type: string
          description: Flatpeak unique object Id.
          example: cus_65e421d1daa4a24082b4f590
        object:
          type: string
          description: Represents the object’s type.
          example: customer
        live_mode:
          type: boolean
          description: >-
            Has the value true if the object exists in live mode or the value
            false if the object exists in test mode.
        reference_id:
          type: string
          description: >-
            A reference that is meaningful to you, for example, an ID from your
            system.
          example: CUS1234567890
        locations:
          type: array
          description: >-
            An array of Flatpeak location IDs that are associated with this
            object.
          items:
            type: string
            example: loc_641b90b758fb8e6293716e40
        time_created:
          type: string
          description: Time when the object was created, in UTC.
          example: '2021-05-05T05:37:27Z'
        account_id:
          type: string
          description: Flatpeak unique account id
          example: acc_65e421bed29d88d9012e0662
      required:
        - id
        - object
        - live_mode
        - time_created
        - account_id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authenticate with `bearer` you obtained from
        [authentication](/api-reference/anode/authentication) endpoint.

````